
Ruby - Bug #20667

Backport REXML CVE fixes

08/05/2024 08:27 AM - vo.x (Vit Ondruch)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 3.3.4 (2024-07-09 revision

be1089c8ec) [x86_64-linux]

Backport: 3.1: DONE, 3.2: DONE, 3.3: DONE

Description

It would be nice to have the recent REXML CVE fixes backported everywhere.

BTW it is surprising that REXML was recently bumped in 3.1 / 3.2 branches, but 3.3 branch stays with older REXML 3.2.

Associated revisions

Revision 0f2f6b31aa6433fd800f0621b5bedbaf0da12a6f - 08/17/2024 12:41 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 2a7da0b6e76929c684cd948630a897c1d5b16c26: [Backport #20667]

    Update bundled gems list as of 2024-08-12

Revision 0f2f6b31aa6433fd800f0621b5bedbaf0da12a6f - 08/17/2024 12:41 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 2a7da0b6e76929c684cd948630a897c1d5b16c26: [Backport #20667]

    Update bundled gems list as of 2024-08-12

Revision 0f2f6b31 - 08/17/2024 12:41 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 2a7da0b6e76929c684cd948630a897c1d5b16c26: [Backport #20667]

    Update bundled gems list as of 2024-08-12

Revision e0e23e7d5eb4da42c490b1d3408bd6e5047e8f83 - 09/02/2024 09:52 AM - k0kubun (Takashi Kokubun)

merge revision(s) 29500e30346: [Backport #20667]

    Update bundled gems list as of 2024-08-22

Revision e0e23e7d5eb4da42c490b1d3408bd6e5047e8f83 - 09/02/2024 09:52 AM - k0kubun (Takashi Kokubun)

merge revision(s) 29500e30346: [Backport #20667]

    Update bundled gems list as of 2024-08-22

Revision e0e23e7d - 09/02/2024 09:52 AM - k0kubun (Takashi Kokubun)

merge revision(s) 29500e30346: [Backport #20667]

    Update bundled gems list as of 2024-08-22

Revision d3ab7be8ca034ea58da7d6ebc77ad66e192cba18 - 09/02/2024 10:28 AM - k0kubun (Takashi Kokubun)

merge revision(s) 657f4b99f61: [Backport #20667]

    Update bundled gems list as of 2024-08-02

Revision d3ab7be8ca034ea58da7d6ebc77ad66e192cba18 - 09/02/2024 10:28 AM - k0kubun (Takashi Kokubun)

merge revision(s) 657f4b99f61: [Backport #20667]

    Update bundled gems list as of 2024-08-02

Revision d3ab7be8 - 09/02/2024 10:28 AM - k0kubun (Takashi Kokubun)

merge revision(s) 657f4b99f61: [Backport #20667]
    Update bundled gems list as of 2024-08-02

History

#1 - 08/05/2024 08:40 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

- Backport changed from 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3: UNKNOWN to 3.1: REQUIRED, 3.2: REQUIRED, 3.3: REQUIRED

#2 - 08/06/2024 01:37 AM - kou (Kouhei Sutou)

- Subject changed from Backport ReXML CVE fixes to Backport REXML CVE fixes

- Description updated

#3 - 08/17/2024 12:42 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 3.1: REQUIRED, 3.2: REQUIRED, 3.3: REQUIRED to 3.1: REQUIRED, 3.2: DONE, 3.3: REQUIRED

ruby_3_2 0f2f6b31aa6433fd800f0621b5bedbaf0da12a6f merged revision(s) 2a7da0b6e76929c684cd948630a897c1d5b16c26.

#4 - 09/02/2024 09:53 AM - k0kubun (Takashi Kokubun)

- Backport changed from 3.1: REQUIRED, 3.2: DONE, 3.3: REQUIRED to 3.1: REQUIRED, 3.2: DONE, 3.3: DONE

ruby_3_3 e0e23e7d5eb4da42c490b1d3408bd6e5047e8f83 merged revision(s) 29500e30346.

#5 - 09/02/2024 09:53 AM - k0kubun (Takashi Kokubun)

Please consider filing a backport PR to stable branches next time.

#6 - 09/10/2024 08:05 AM - hsbt (Hiroshi SHIBATA)

- Backport changed from 3.1: REQUIRED, 3.2: DONE, 3.3: DONE to 3.1: DONE, 3.2: DONE, 3.3: DONE

https://github.com/ruby/ruby/pull/11581
